Subject: RE: [rohc] draft-saifullah-rohc-tcp-early-comp*-00.txt

From: [email-masked]
Date: Tue, 5 Nov 2002 09:22:27 -0600

Hi Richard,
Thank you for commenting on the drafts. In addition to the design of the packet formats, the early compression enabler is also useful for the short lived TCP connections. 

Early Compression enabler can send the fields like IP version and IP destination address without defining a new IR-REPLICATE packet. Existing IR packet can be used for sending the information, mentioned in your email, by defining a new profile type.

Regards,
Yousuf

-----Original Message-----
From: ext Price, Richard [mailto:[email-masked]]
Sent: 05 November, 2002 8:47 AM
To: 'Ghyslain Pelletier'; Saifullah Yousuf (NRC/Dallas); [email-masked]
Subject: RE: [rohc] draft-saifullah-rohc-tcp-early-comp*-00.txt

Hi,

One area where these drafts may influence our work on the TCP
compression scheme is in the design of the packet formats.

The current "TCP/IP Field Behavior" draft considers the case where
the outband information for setting up a new context is provided from
an existing context. In this case fields such as the IP version and
the IP addresses are not shared because it is not expected that they
can be derived from existing contexts. The resulting IR-REPLICATE
packet will therefore send these fields in full.

However, in the specific case discussed in <draft-saifullah-rohc-tcp-
early-comp-in-gprs-00.txt> the IP version and IP destination address
fields can be obtained outband. To support this within the TCP
compression scheme we'd need to take into account the possibility
that these fields might be available at the start of a new context
(and hence create an IR-REPLICATE packet that can optionally avoid
sending the fields if possible).

Any opinions on whether this behaviour is worth taking into account in
the IR-REPLICATE packet? The proposed mechanism can save just over 16
bytes when it is employed, with a small cost (~1 bit per IR-REPLICATE
packet) for signalling that the mechanism is not being used.

Regards,

Richard

> -----Original Message-----
> From: Ghyslain Pelletier [mailto:[email-masked]]
> Sent: Tuesday, November 05, 2002 10:30 AM
> To: [email-masked]; [email-masked]
> Subject: [rohc] draft-saifullah-rohc-tcp-early-comp*-00.txt
> 
> 
> Hi Yousuf,
> 
> Regarding draft-saifullah-rohc-tcp-early-compression-00.txt and
> draft-saifullah-rohc-tcp-early-comp-in-gprs-00.txt:
> 
> My current understanding is that these drafts:
> 
> 1) describes the ground principles behind the idea of populating a
>    ROHC-TCP decompressor context prior to the use of ROHC IR packets.
> 2) defines a generic approach ("Early Compression Enabler") that uses
>    out-of-band mechanisms ("Early Compression mechanisms"), as well
>    as the necessary additions required within the profile definition
>    for the in-band part of the approach. This may be used to populate
>    a ROHC-TCP decompression context prior to in-band initialization.
> 3) provides an example when applied in a gprs system.
> 
> How well these drafts relates to the ROHC WG is somewhat unclear to me,
> for the following reasons:
> 
> - I believe that the idea behind reusing information already present
>   at the decompressor side is already part of the currently ongoing
>   work around context replication in draft-ietf-rohc-tcp-03.txt
> - I believe that out-of-band mechanisms for improving the
>   performance of ROHC should not be addresed by the WG, but
>   within the respective applicable standardization bodies of the
>   related technology.
> 
> Once out-of-band mechanisms are not considered by the WG, what is left
> are the in-band additions. The in-band functionality necessary to
> identify reusable information already present at the decompressor is
> already part of the context replication work for ROHC-TCP. Therefore I
> am not sure if these drafts bring new useful information to this WG.
> 
> Best regards,
> 
> /Ghyslain Pelletier
> Wireless IP Optimizations
> AWARE - Advanced Wireless Algorithm Research
> Ericsson Research, Corporate Unit
> Ericsson AB
> Luleå, Sweden
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc